##### posix::basic_stream_descriptor::basic_stream_descriptor (5 of 6 overloads)

Move-construct a stream descriptor from another.

    basic_stream_descriptor(
        basic_stream_descriptor && other);

This constructor moves a stream descriptor from one object to another.

###### Parameters

other

  The other stream descriptor object from which the move will occur.

###### Remarks

Following the move, the moved-from object is in the same state as if constructed using the `basic_stream_descriptor(const executor_type&)` constructor.